首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  程序员

jQuery 真是被逼无奈啊~

  •  
  •   xieranmaya · 2014-07-11 15:05:13 +08:00 · 4597 次点击
    这是一个创建于 1748 天前的主题,其中的信息可能已经有所发展或是发生改变。
    http://blog.jquery.com/2014/07/03/dont-use-jquery-latest-js/
    因为有太多的网站用了这个CDN:
    http://code.jquery.com/jquery-latest.js
    jquery某种程度上被压上了一种社会责任
    如果把这个文件更新到2.x,将有一大批网站不能用了……
    18 回复  |  直到 2014-07-13 17:57:29 +08:00
        1
    Mutoo   2014-07-11 15:21:50 +08:00
    选择 lastet 就要自己承担用不了的责任,关 jQuery 什么事。
        2
    mongodb   2014-07-11 15:29:03 +08:00
    同一楼。 不用latest是个智商正常的人都能想到,等改了发现用不了是自己活该,用不了就是对他们最好的教育……
        3
    loading   2014-07-11 15:33:39 +08:00 via Android
    只能呵呵
        4
    zhanglp888   2014-07-11 15:42:36 +08:00
    不仅是latest,就连cdn,我也沉得不保险(因为墙的存在啊)
        5
    zhanglp888   2014-07-11 15:43:25 +08:00
    不仅是latest,就连cdn,我也觉得不保险(因为墙的存在啊)
        6
    chemzqm   2014-07-11 16:18:05 +08:00   ♥ 1
    http://staticfile.org/ 国内的cdn,我司用了一年多稳定性还行(主要是网站访问量比较少)
    用lastest或者master分支这种事本来就应该自担风险的
        7
    learnshare   2014-07-11 16:25:12 +08:00
    lastest 如果不更新,那起这个名字做什么!
        8
    rekey   2014-07-11 16:38:15 +08:00
    有啥社会责任,员工犯二让 jQuery 来扛?
        9
    lazyphp   2014-07-11 17:11:45 +08:00
    一直不明白为什么要用CDN的JQ。。放在自己服务器不好么。大家的公司 网站访问量都很大吗?都需要用到CDN吗?
        10
    otakustay   2014-07-11 17:29:40 +08:00
    @lazyphp 放CDN上会有缓存,如果有10W个站都用这个CDN,那么上过别的站再来你这里就不需要下载了
        11
    wdlth   2014-07-11 17:32:43 +08:00
    像latest、beta、nightly这类都是尽量不要直接调用。再说了CDN的jQ还不一定快得过网站自己的,毕竟还要多查询一次DNS,建立新的连接而不是直接使用现有的连接。
        12
    9yu   2014-07-11 19:05:02 +08:00
    jQuery 有什么责任,一大批网站不能用那就是活该吧。
        13
    DearMark   2014-07-11 19:26:03 +08:00
    -1
        14
    vivianalive   2014-07-11 19:30:55 +08:00 via iPhone
    把jQuery.latest相关的链接隐藏起来,不要再害更多人了。
        15
    afa   2014-07-11 22:55:10 +08:00
    一大票外国网站都用googleapis.com上那个jquery(有些还用Google的可下载字体),现在Google被GFW,这些网站每一个不是超时之后才能渲染出来,还一堆错误。
        16
    356693212   2014-07-12 00:13:38 +08:00
    智商捉急 CDN 可以选择版本行吗
        17
    xieranmaya   2014-07-13 08:29:10 +08:00
    所以说jQuery官方也是很无奈啊,不为了引起很多网站的问题,latest都不更新了,锁定在1.11.1版本了。。。。。。好直的感觉。
    话说你们有没有看原文啊……
        18
    sxlzll   2014-07-13 17:57:29 +08:00
    国内也有CDN的
    国外的楼猪真敢用
    另外选最新的,2.X版本不支持IE低版本。。。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3257 人在线   最高记录 5043   ·  
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 20ms · UTC 10:33 · PVG 18:33 · LAX 03:33 · JFK 06:33
    ♥ Do have faith in what you're doing.
    沪ICP备16043287号-1